> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncharactertyped.md).

# onCharacterTyped

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

A Unity Event that is called each time a character is revealed during a typewriter effect.

```csharp
public UnityEngine.Events.UnityEvent onCharacterTyped;
```

## Remarks

This event is only invoked when [useTypewriterEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md) is `true` .

## See Also

* [LineView.useTypewriterEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usetypewritereffect.md): Controls whether the text of [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) should be gradually revealed over time.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.oncharactertyped.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
